var parser = require("../src/_parser.js");
var expect = require("chai").expect;
var assert = require("chai").assert;


describe("parser", function () {
    it("split '=' delimited query", function () {
        expect(parser.splitQuery("a.b=1&c.d=2")).to.deep.equal([["a.b", "1"], ["c.d", "2"]]);
    });

    describe("split '.[]' delimited path", function () {

        it("to object", function () {
            expect(parser.splitPath("a.b.c")).to.deep.equal(["a", "b", "c"]);
        });

        it("to array", function () {
            expect(parser.splitPath("a.b.1")).to.deep.equal(["a", "b", 1]);
        });
    })
});